Subject: cwik: an Interactive and Extensible Clojure Framework for Automating QUIC Interop Tests and Performance Measurements

From: "Dirk Kutscher" <[email-masked]>
Date: Fri, 06 Dec 2019 20:59:08 +0100

Hello,

My student Thomas Ripping at University of Applied Sciences Emden/Leer 
has developed cwik, an open, interactive and extensible Clojure 
framework for automating QUIC interop tests and performance 
measurements, based on Peter Doornbosch’s Kwik library. It can be used 
for defining test campaigns programmatically and can enable reproducible 
experiments and automatic evaluation. The source code is available at 
https://github.com/tomtom90/cwik

(You have to appreciate functional programming to some extent to fully 
enjoy it.)

Cheers,
Dirk